#!/bin/csh
#
set echo
#
g++ -c -g -I /$HOME/include linplus_prb.C >& compiler.out
if ( $status != 0 ) then
  echo "Errors compiling linplus_prb.C"
  exit
endif
rm compiler.out
#
g++ linplus_prb.o /$HOME/lib/$ARCH/linplus.o -lm
if ( $status != 0 ) then
  echo "Errors linking and loading linplus_prb.o"
  exit
endif
#
rm linplus_prb.o
#
mv a.out linplus_prb
./linplus_prb > linplus_prb.out
if ( $status != 0 ) then
  echo "Errors running linplus_prb"
  exit
endif
rm linplus_prb
#
echo "The linplus_prb program has been executed."
