/* phase1200x600.f -- translated by f2c (version 19951025).
   You must link the resulting object file with the libraries:
	-lf2c -lm   (in that order)
*/

#include "f2c.h"

/* Common Block Declarations */

struct {
    doublereal p[721801]	/* was [1201][601] */, t[721801]	/* 
	    was [1201][601] */, time;
} soln_;

#define soln_1 soln_

struct {
    doublereal ax[1201], bx[1201], cx[1201], dx[1201], ay[601], by[601], cy[
	    601], dy[601];
} solv_;

#define solv_1 solv_

struct {
    doublereal pcx, pcy, pcxx, pcyy, pcxy, pepc, pefc;
} peqn_;

#define peqn_1 peqn_

struct {
    doublereal rx, ry, sx, sy;
} teqn_;

#define teqn_1 teqn_

struct prms_1_ {
    doublereal ramp, afac, stn, adel, tol, delt;
    integer ndelt;
};

#define prms_1 (*(struct prms_1_ *) &prms_)

/* Initialized data */

struct {
    doublereal fill_1[4];
    doublereal e_2;
    integer fill_3[3];
    } prms_ = { {0}, 1e-10 };


/* Table of constant values */

static integer c__3 = 3;
static integer c__1 = 1;
static integer c__5 = 5;
static integer c__9 = 9;
static integer c__1200 = 1200;
static integer c__600 = 600;

/* ********************************************************************* */

/*      Program Thermal 2A (implicit differencing on T) */
/*      Solves the phase-field equations for a pure material */

/*      FTCS is used on phi */
/*      Last Modified (11/12/96) - Uses new parameter definitions */

/* ********************************************************************* */


/* Main program */ MAIN__()
{
    /* Initialized data */

    static doublereal tbulk = -1.;

    /* Format strings */
    static char fmt_10[] = "(/1x,\002  eps = \002,1pe13.5,5x,\002 parm = \
\002,1pe13.5/1x,\002alpha = \002,1pe13.5,5x,\002  stn = \002,1pe13.5/1x,\002\
 adel = \002,1pe13.5,5x,\002 ramp = \002,1pe13.5/1x,\002 delt = \002,1pe13.5\
,5x,\002   ts = \002,1pe13.5/1x,\002   xl = \002,1pe13.5,5x,\002   yl = \002\
,1pe13.5/1x,\002   r0 = \002,1pe13.5,5x,\002   y0 = \002,1pe13.5/1x,\002  am\
p = \002,1pe13.5,5x,\002 pdel = \002,1pe13.5/1x,\002nstep = \002,i6,7x,\002n\
delt = \002,i6,7x,\002 nics = \002,i6/1x,\002 iprt = \002,i6,7x,\002 iout =\
 \002,i6,7x,\002 nctn = \002,i2/)";

    /* System generated locals */
    integer i__1, i__2;
    doublereal d__1, d__2;
    olist o__1;
    cllist cl__1;

    /* Builtin functions */
    integer f_open(), s_rsle(), e_rsle(), do_lio(), f_clos(), s_wsle(), 
	    e_wsle(), s_wsfe(), do_fio(), e_wsfe();
    double atan(), sqrt(), cos(), exp();
    integer s_rsue(), do_uio(), e_rsue();
    /* Subroutine */ int s_stop();

    /* Local variables */
    static doublereal pdel;
    static integer nics;
    static doublereal pmob, parm, delx;
    static integer nctn;
    static doublereal dely;
    static integer nyic, indx, iprt, iout;
    static doublereal delt1;
    static integer i__, j;
    static doublereal r__, alpha, x, y, theta, plast;
    static integer nstep;
    static doublereal r0, y0;
    static integer ii, jj;
    static doublereal pi, rp;
    static integer jr;
    static doublereal xl, yl, ts;
    static integer ir;
    extern /* Subroutine */ int update_();
    static integer nx2;
    static doublereal amp, eps;
    extern /* Subroutine */ int tip_();
    static doublereal eps2;

    /* Fortran I/O blocks */
    static cilist io___3 = { 0, 10, 0, 0, 0 };
    static cilist io___4 = { 0, 10, 0, 0, 0 };
    static cilist io___9 = { 0, 10, 0, 0, 0 };
    static cilist io___10 = { 0, 10, 0, 0, 0 };
    static cilist io___13 = { 0, 10, 0, 0, 0 };
    static cilist io___14 = { 0, 10, 0, 0, 0 };
    static cilist io___19 = { 0, 10, 0, 0, 0 };
    static cilist io___20 = { 0, 10, 0, 0, 0 };
    static cilist io___26 = { 0, 6, 0, 0, 0 };
    static cilist io___27 = { 0, 6, 0, fmt_10, 0 };
    static cilist io___45 = { 0, 12, 0, 0, 0 };
    static cilist io___46 = { 0, 12, 0, 0, 0 };
    static cilist io___49 = { 0, 12, 0, 0, 0 };


/*     parameter(nx=80, ny=40, iskp=10, jskp=5) */

/* read the data... */

    o__1.oerr = 0;
    o__1.ounit = 10;
    o__1.ofnmlen = 23;
    o__1.ofnm = "phase1200x600_input.dat";
    o__1.orl = 0;
    o__1.osta = "unknown";
    o__1.oacc = 0;
    o__1.ofm = 0;
    o__1.oblnk = 0;
    f_open(&o__1);
    s_rsle(&io___3);
    e_rsle();
    s_rsle(&io___4);
    do_lio(&c__3, &c__1, (char *)&nctn, (ftnlen)sizeof(integer));
    do_lio(&c__3, &c__1, (char *)&nstep, (ftnlen)sizeof(integer));
    do_lio(&c__3, &c__1, (char *)&iprt, (ftnlen)sizeof(integer));
    do_lio(&c__3, &c__1, (char *)&iout, (ftnlen)sizeof(integer));
    do_lio(&c__3, &c__1, (char *)&prms_1.ndelt, (ftnlen)sizeof(integer));
    e_rsle();
    s_rsle(&io___9);
    e_rsle();
    s_rsle(&io___10);
    do_lio(&c__5, &c__1, (char *)&prms_1.delt, (ftnlen)sizeof(doublereal));
    do_lio(&c__5, &c__1, (char *)&xl, (ftnlen)sizeof(doublereal));
    do_lio(&c__5, &c__1, (char *)&yl, (ftnlen)sizeof(doublereal));
    do_lio(&c__5, &c__1, (char *)&prms_1.adel, (ftnlen)sizeof(doublereal));
    do_lio(&c__5, &c__1, (char *)&prms_1.ramp, (ftnlen)sizeof(doublereal));
    e_rsle();
    s_rsle(&io___13);
    e_rsle();
    s_rsle(&io___14);
    do_lio(&c__5, &c__1, (char *)&eps, (ftnlen)sizeof(doublereal));
    do_lio(&c__5, &c__1, (char *)&parm, (ftnlen)sizeof(doublereal));
    do_lio(&c__5, &c__1, (char *)&alpha, (ftnlen)sizeof(doublereal));
    do_lio(&c__5, &c__1, (char *)&prms_1.stn, (ftnlen)sizeof(doublereal));
    do_lio(&c__5, &c__1, (char *)&pdel, (ftnlen)sizeof(doublereal));
    e_rsle();
    s_rsle(&io___19);
    e_rsle();
    s_rsle(&io___20);
    do_lio(&c__3, &c__1, (char *)&nics, (ftnlen)sizeof(integer));
    do_lio(&c__5, &c__1, (char *)&r0, (ftnlen)sizeof(doublereal));
    do_lio(&c__5, &c__1, (char *)&y0, (ftnlen)sizeof(doublereal));
    do_lio(&c__5, &c__1, (char *)&amp, (ftnlen)sizeof(doublereal));
    do_lio(&c__5, &c__1, (char *)&ts, (ftnlen)sizeof(doublereal));
    e_rsle();
    cl__1.cerr = 0;
    cl__1.cunit = 10;
    cl__1.csta = 0;
    f_clos(&cl__1);

/* write out the input data */

    s_wsle(&io___26);
    do_lio(&c__9, &c__1, "Phase-Field Solution - Code 2 FTCS implicit/explic\
it", 52L);
    e_wsle();
    s_wsfe(&io___27);
    do_fio(&c__1, (char *)&eps, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&parm, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&alpha, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&prms_1.stn, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&prms_1.adel, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&prms_1.ramp, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&prms_1.delt, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&ts, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&xl, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&yl, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&r0, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&y0, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&amp, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&pdel, (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&nstep, (ftnlen)sizeof(integer));
    do_fio(&c__1, (char *)&prms_1.ndelt, (ftnlen)sizeof(integer));
    do_fio(&c__1, (char *)&nics, (ftnlen)sizeof(integer));
    do_fio(&c__1, (char *)&iprt, (ftnlen)sizeof(integer));
    do_fio(&c__1, (char *)&iout, (ftnlen)sizeof(integer));
    do_fio(&c__1, (char *)&nctn, (ftnlen)sizeof(integer));
    e_wsfe();

/* dump the data .. first open dump channel (10) */

/*        open(11,file=fname,form='unformatted', */
/*     *  status='unknown') */
/* 	write(11) eps,parm,alpha,stn,adel,ramp,delt,ts, */
/*     *            xl,yl,r0,y0,amp,pdel,nx,ny,nstep,iout */

/* define required constants */

    pi = atan((float)1.) * (float)4.;

/* Computing 2nd power */
    d__1 = eps;
    eps2 = d__1 * d__1;
    pmob = parm / eps2;
    prms_1.afac = eps * alpha * prms_1.stn;

    delx = xl / (float)1200.;
    dely = yl / (float)600.;

    delt1 = prms_1.delt / (real) prms_1.ndelt;
/* **** modify stefan number for different time steps: */
    prms_1.stn = (real) prms_1.ndelt * prms_1.stn;

    peqn_1.pcx = (float).5 / delx;
    peqn_1.pcy = (float).5 / dely;
/* Computing 2nd power */
    d__1 = delx;
    peqn_1.pcxx = (float)1. / (d__1 * d__1);
/* Computing 2nd power */
    d__1 = dely;
    peqn_1.pcyy = (float)1. / (d__1 * d__1);
    peqn_1.pcxy = peqn_1.pcx * peqn_1.pcy;
    peqn_1.pepc = delt1 * pmob * eps2;
    peqn_1.pefc = delt1 * pmob;

/*     define ADI constants and arrays */

/* Computing 2nd power */
    d__1 = delx;
    teqn_1.rx = prms_1.delt / (d__1 * d__1);
/* Computing 2nd power */
    d__1 = dely;
    teqn_1.ry = prms_1.delt / (d__1 * d__1);
    teqn_1.sx = ((float)1. - teqn_1.rx) * (float)2.;
    teqn_1.sy = ((float)1. - teqn_1.ry) * (float)2.;

    for (i__ = 0; i__ <= 1200; ++i__) {
	solv_1.ax[i__] = -teqn_1.rx;
	solv_1.bx[i__] = (teqn_1.rx + (float)1.) * (float)2.;
	solv_1.cx[i__] = -teqn_1.rx;
/* L20: */
    }

    solv_1.cx[0] += solv_1.ax[0];
    solv_1.ax[1200] += solv_1.cx[1200];

    for (i__ = 1; i__ <= 1200; ++i__) {
	solv_1.dx[i__] = solv_1.ax[i__] / solv_1.bx[i__ - 1];
	solv_1.bx[i__] -= solv_1.dx[i__] * solv_1.cx[i__ - 1];
/* L22: */
    }

    for (j = 0; j <= 600; ++j) {
	solv_1.ay[j] = -teqn_1.ry;
	solv_1.by[j] = (teqn_1.ry + 1) * (float)2.;
	solv_1.cy[j] = -teqn_1.ry;
/* L25: */
    }

    solv_1.cy[0] += solv_1.ay[0];
    solv_1.ay[600] += solv_1.cy[600];

    for (j = 1; j <= 600; ++j) {
	solv_1.dy[j] = solv_1.ay[j] / solv_1.by[j - 1];
	solv_1.by[j] -= solv_1.dy[j] * solv_1.cy[j - 1];
/* L28: */
    }

/* initialize the fields */

    if (nctn == 0) {
	soln_1.time = (float)0.;

	nyic = 600;
/*     if(nics.eq.3) nyic = ny/2 */
	i__1 = nyic;
	for (j = 0; j <= i__1; ++j) {
	    y = j * dely;

	    if (nics == 1) {
		for (i__ = 0; i__ <= 1200; ++i__) {
		    x = i__ * delx;
		    if (x == (float)0.) {
			theta = pi / (float)2.;
		    } else {
			theta = atan(amp * y / x);
		    }
/* Computing 2nd power */
		    d__1 = amp * x;
/* Computing 2nd power */
		    d__2 = y;
		    r__ = sqrt(d__1 * d__1 + d__2 * d__2);
		    rp = r0 * (pdel * cos(y0 * theta) + (float)1.);
		    d__1 = (r__ - rp) / (eps * (float)2.);
		    soln_1.p[i__ + j * 1201] = ((exp(d__1) - exp(-d__1)) / (
			    exp(d__1) + exp(-d__1)) + (float)1.) * (float).5;
		    soln_1.t[i__ + j * 1201] = -soln_1.p[i__ + j * 1201];
/*     if(p(i,j).lt.0.95) then */
/*       t(i,j) = 0.0 */
/*       rt = r */
/*     else */
/*       t(i,j) = -(1.0 - exp(-y0*(r-rt))) */
/*     end if */
/* L30: */
		}

	    } else {

		for (i__ = 0; i__ <= 1200; ++i__) {
		    x = i__ * delx;
		    if (x == (float)0.) {
			theta = pi / (float)2.;
		    } else {
			theta = atan(amp * y / x);
		    }
/* Computing 2nd power */
		    d__1 = amp * x;
/* Computing 2nd power */
		    d__2 = y;
		    r__ = sqrt(d__1 * d__1 + d__2 * d__2);
		    rp = r0 * (pdel * cos(y0 * theta) + (float)1.);
		    if (r__ <= rp) {
			soln_1.p[i__ + j * 1201] = (float)0.;
			soln_1.t[i__ + j * 1201] = ts;
		    } else {
			soln_1.p[i__ + j * 1201] = (float)1.;
			soln_1.t[i__ + j * 1201] = tbulk;
		    }
/* L35: */
		}
	    }
	    if (nics == 3) {
		jr = j;
		nx2 = 600;
		i__2 = nx2;
		for (i__ = 0; i__ <= i__2; ++i__) {
		    ir = 1200 - i__;
		    soln_1.p[ir + jr * 1201] = soln_1.p[i__ + j * 1201];
		    soln_1.t[ir + jr * 1201] = soln_1.t[i__ + j * 1201];
/* L38: */
		}
	    }
/* L40: */
	}
    } else {
	o__1.oerr = 0;
	o__1.ounit = 12;
	o__1.ofnmlen = 9;
	o__1.ofnm = "temi2a.in";
	o__1.orl = 0;
	o__1.osta = "unknown";
	o__1.oacc = 0;
	o__1.ofm = "unformatted";
	o__1.oblnk = 0;
	f_open(&o__1);
	s_rsue(&io___45);
	do_uio(&c__1, (char *)&soln_1.time, (ftnlen)sizeof(doublereal));
	e_rsue();
	s_rsue(&io___46);
	for (jj = 0; jj <= 600; ++jj) {
	    for (ii = 0; ii <= 1200; ++ii) {
		do_uio(&c__1, (char *)&soln_1.t[ii + jj * 1201], (ftnlen)
			sizeof(doublereal));
	    }
	}
	e_rsue();
	s_rsue(&io___49);
	for (jj = 0; jj <= 600; ++jj) {
	    for (ii = 0; ii <= 1200; ++ii) {
		do_uio(&c__1, (char *)&soln_1.p[ii + jj * 1201], (ftnlen)
			sizeof(doublereal));
	    }
	}
	e_rsue();
    }

/* output the initial conditions */

/*     call print(iskp,jskp) */

/* dump initial profile */

/*        write(11) time */
/*        write(11) ((t(ii,jj), ii = 0,nx,nxs),jj=0,ny,nys) */
/*        write(11) ((p(ii,jj), ii = 0,nx,nxs),jj=0,ny,nys) */

/* now time step */

    i__1 = nstep;
    for (indx = 1; indx <= i__1; ++indx) {
	soln_1.time += prms_1.delt;
	update_();

/* output the results */

/*      if(mod(indx,iprt).eq.0) call print(iskp,jskp) */

/* output tip data */

	tip_(soln_1.p, soln_1.t, &plast, &c__1200, &c__600, &indx, &iprt, &
		soln_1.time, &delx, &dely);

/* dump the results as well on channel 11 */

/*      if(mod(indx,iout).eq.0) then */
/*        write(11) time */
/*        write(11) ((t(ii,jj), ii = 0,nx,nxs),jj=0,ny,nys) */
/*        write(11) ((p(ii,jj), ii = 0,nx,nxs),jj=0,ny,nys) */
/*      end if */
/* L100: */
    }

/* dump solution for restart */

/*       open(14,file='temi2a.out',form='unformatted', */
/*     $ status='unknown') */
/*       write(14) time */
/*       write(14) ((t(ii,jj), ii = 0,nx),jj=0,ny) */
/*       write(14) ((p(ii,jj), ii = 0,nx),jj=0,ny) */

    s_stop("", 0L);
} /* MAIN__ */

/****************************************************************************
*/

/* this subroutine advances the solution one time step using simple */
/*      explicit euler */

/****************************************************************************
*/
/* Subroutine */ int update_()
{
    /* System generated locals */
    doublereal d__1, d__2;

    /* Builtin functions */
    double sqrt();

    /* Local variables */
    static doublereal cthe, sthe, uold, unew, dpxx, dpyy, dpxy, cthe2, del2p, 
	    g;
    static integer i__, j;
    static doublereal gradm, cnthe, dthex, dthey, snthe, gradm2;
    static real ff[721801]	/* was [1201][601] */;
    static doublereal gn, go;
    static real ps[721801]	/* was [1201][601] */, ts[721801]	/* 
	    was [1201][601] */;
    static doublereal xn;
    static real uu[721801]	/* was [1201][601] */;
    static integer im1, jm1, ip1, jp1;
    static doublereal dpx, dpy;

/*      parameter(nx=80, ny=40, nx1=nx-1, ny1=ny-1, nxp1=nx+1, */
/*    *   nyp1=ny+1) */



/*     phase field: */

/* **** calculate the nonlinear term: */
    for (j = 0; j <= 600; ++j) {
	for (i__ = 0; i__ <= 1200; ++i__) {
	    g = soln_1.p[i__ + j * 1201] * ((float)1. - soln_1.p[i__ + j * 
		    1201]);
/*     xn = ramp*2.0*(ranf() - 0.5) - 0.5 */
	    xn = (float)-.5;
	    ff[i__ + j * 1201] = g * (soln_1.p[i__ + j * 1201] + xn + 
		    prms_1.afac * (float)30. * g * soln_1.t[i__ + j * 1201]);
/* L25: */
	}
    }

/* interior points */

    for (j = 1; j <= 599; ++j) {
	for (i__ = 1; i__ <= 1199; ++i__) {
	    dpx = peqn_1.pcx * (soln_1.p[i__ + 1 + j * 1201] - soln_1.p[i__ - 
		    1 + j * 1201]);
	    dpy = peqn_1.pcy * (soln_1.p[i__ + (j + 1) * 1201] - soln_1.p[i__ 
		    + (j - 1) * 1201]);
	    gradm2 = dpx * dpx + dpy * dpy;
	    dpxx = peqn_1.pcxx * (soln_1.p[i__ + 1 + j * 1201] - soln_1.p[i__ 
		    + j * 1201] * (float)2. + soln_1.p[i__ - 1 + j * 1201]);
	    dpyy = peqn_1.pcyy * (soln_1.p[i__ + (j + 1) * 1201] - soln_1.p[
		    i__ + j * 1201] * (float)2. + soln_1.p[i__ + (j - 1) * 
		    1201]);
	    del2p = dpxx + dpyy;
	    ps[i__ + j * 1201] = soln_1.p[i__ + j * 1201] + peqn_1.pepc * 
		    del2p + peqn_1.pefc * ff[i__ + j * 1201];
	    if (gradm2 > prms_1.tol) {
		gradm = sqrt(gradm2);
		dpxy = peqn_1.pcxy * (soln_1.p[i__ + 1 + (j + 1) * 1201] - 
			soln_1.p[i__ + 1 + (j - 1) * 1201] - soln_1.p[i__ - 1 
			+ (j + 1) * 1201] + soln_1.p[i__ - 1 + (j - 1) * 1201]
			);
		dthex = (dpx * dpxy - dpy * dpxx) / gradm2;
		dthey = (dpx * dpyy - dpy * dpxy) / gradm2;
		sthe = dpy / gradm;
		cthe = dpx / gradm;
		cthe2 = cthe * cthe;
		cnthe = cthe2 * (float)8. * (cthe2 - (float)1.) + (float)1.;
		snthe = cthe * (float)4. * sthe * (cthe2 * (float)2. - (float)
			1.);
/* Computing 2nd power */
		d__1 = cnthe;
/* Computing 2nd power */
		d__2 = snthe;
		ps[i__ + j * 1201] += peqn_1.pepc * prms_1.adel * (cnthe * (
			prms_1.adel * cnthe + (float)2.) * del2p - snthe * (
			float)8. * (prms_1.adel * cnthe + (float)1.) * (dthex 
			* dpx + dthey * dpy) - (cnthe + prms_1.adel * (d__1 * 
			d__1 - d__2 * d__2)) * (float)16. * (dthey * dpx - 
			dthex * dpy));
	    }
/* L125: */
	}
    }

/* edges */

    for (j = 0; j <= 600; ++j) {
	jm1 = j - 1;
	jp1 = j + 1;
	if (j == 0) {
	    jm1 = 1;
	}
	if (j == 600) {
	    jp1 = 599;
	}

/* left edge */

	dpy = peqn_1.pcy * (soln_1.p[jp1 * 1201] - soln_1.p[jm1 * 1201]);
	dpxx = peqn_1.pcxx * (float)2. * (soln_1.p[j * 1201 + 1] - soln_1.p[j 
		* 1201]);
	dpyy = peqn_1.pcyy * (soln_1.p[jp1 * 1201] - soln_1.p[j * 1201] * (
		float)2. + soln_1.p[jm1 * 1201]);
	del2p = dpxx + dpyy;
	gradm2 = dpy * dpy;
	ps[j * 1201] = soln_1.p[j * 1201] + peqn_1.pepc * del2p + peqn_1.pefc 
		* ff[j * 1201];
	if (gradm2 > prms_1.tol) {
	    dthex = -dpy * dpxx / gradm2;

	    ps[j * 1201] += peqn_1.pepc * prms_1.adel * ((prms_1.adel + (
		    float)2.) * del2p + (prms_1.adel + (float)1.) * (float)
		    16. * dthex * dpy);
	}

/* right edge */

	dpy = peqn_1.pcy * (soln_1.p[jp1 * 1201 + 1200] - soln_1.p[jm1 * 1201 
		+ 1200]);
	dpxx = peqn_1.pcxx * (float)2. * (soln_1.p[j * 1201 + 1199] - 
		soln_1.p[j * 1201 + 1200]);
	dpyy = peqn_1.pcyy * (soln_1.p[jp1 * 1201 + 1200] - soln_1.p[j * 1201 
		+ 1200] * (float)2. + soln_1.p[jm1 * 1201 + 1200]);
	del2p = dpxx + dpyy;
	gradm2 = dpy * dpy;
	ps[j * 1201 + 1200] = soln_1.p[j * 1201 + 1200] + peqn_1.pepc * del2p 
		+ peqn_1.pefc * ff[j * 1201 + 1200];
	if (gradm2 > prms_1.tol) {
	    dthex = -dpy * dpxx / gradm2;

	    ps[j * 1201 + 1200] += peqn_1.pepc * prms_1.adel * ((prms_1.adel 
		    + (float)2.) * del2p + (prms_1.adel + (float)1.) * (float)
		    16. * dthex * dpy);
	}
/* L150: */
    }
    for (i__ = 0; i__ <= 1200; ++i__) {
	im1 = i__ - 1;
	ip1 = i__ + 1;
	if (i__ == 0) {
	    im1 = 1;
	}
	if (i__ == 1200) {
	    ip1 = 1199;
	}
	dpx = peqn_1.pcx * (soln_1.p[ip1] - soln_1.p[im1]);
	dpxx = peqn_1.pcxx * (soln_1.p[ip1] - soln_1.p[i__] * (float)2. + 
		soln_1.p[im1]);
	dpyy = peqn_1.pcyy * (float)2. * (soln_1.p[i__ + 1201] - soln_1.p[i__]
		);
	del2p = dpxx + dpyy;
	gradm2 = dpx * dpx;

/* bottom edge */

	ps[i__] = soln_1.p[i__] + peqn_1.pepc * del2p + peqn_1.pefc * ff[i__];
	if (gradm2 > prms_1.tol) {
	    dthey = dpx * dpyy / gradm2;

	    ps[i__] += peqn_1.pepc * prms_1.adel * ((prms_1.adel + (float)2.) 
		    * del2p - (prms_1.adel + (float)1.) * (float)16. * dthey *
		     dpx);
	}

/* top edge */

	dpx = peqn_1.pcx * (soln_1.p[ip1 + 720600] - soln_1.p[im1 + 720600]);
	dpxx = peqn_1.pcxx * (soln_1.p[ip1 + 720600] - soln_1.p[i__ + 720600] 
		* (float)2. + soln_1.p[im1 + 720600]);
	dpyy = peqn_1.pcyy * (float)2. * (soln_1.p[i__ + 719399] - soln_1.p[
		i__ + 720600]);
	del2p = dpxx + dpyy;
	gradm2 = dpx * dpx;
	ps[i__ + 720600] = soln_1.p[i__ + 720600] + peqn_1.pepc * del2p + 
		peqn_1.pefc * ff[i__ + 720600];
	if (gradm2 > prms_1.tol) {
	    dthey = dpx * dpyy / gradm2;

	    ps[i__ + 720600] += peqn_1.pepc * prms_1.adel * ((prms_1.adel + (
		    float)2.) * del2p - (prms_1.adel + (float)1.) * (float)
		    16. * dthey * dpx);
	}
/* L175: */
    }

    for (j = 0; j <= 600; ++j) {
	for (i__ = 0; i__ <= 1200; ++i__) {
/*        g = p(i,j)*(1.0 - p(i,j)) */
/*        uu(i,j) = 30.*stn*g*g*(ps(i,j) - p(i,j)) */
	    go = (float)1. - soln_1.p[i__ + j * 1201];
	    gn = (float)1. - ps[i__ + j * 1201];
	    uold = -go * go * go * (go * (float)6. * go - go * (float)15. + (
		    float)10.);
	    unew = -gn * gn * gn * (gn * (float)6. * gn - gn * (float)15. + (
		    float)10.);
	    uu[i__ + j * 1201] = -(unew - uold) / prms_1.stn;
/* L180: */
	}
    }

    for (j = 0; j <= 600; ++j) {
	for (i__ = 0; i__ <= 1200; ++i__) {
	    soln_1.p[i__ + j * 1201] = ps[i__ + j * 1201];
/* L200: */
	}
    }

/*     temp field: */

/* **** gradient bc's in both directions. */
/*     x sweep */
    for (j = 0; j <= 600; ++j) {
	jm1 = j - 1;
	jp1 = j + 1;
	if (j == 0) {
	    jm1 = 1;
	}
	if (j == 600) {
	    jp1 = 599;
	}
	for (i__ = 0; i__ <= 1200; ++i__) {
	    ff[i__ + j * 1201] = uu[i__ + j * 1201] + teqn_1.ry * soln_1.t[
		    i__ + jp1 * 1201] + teqn_1.sy * soln_1.t[i__ + j * 1201] 
		    + teqn_1.ry * soln_1.t[i__ + jm1 * 1201];
/* L220: */
	}
    }
    for (i__ = 1; i__ <= 1200; ++i__) {
	for (j = 0; j <= 600; ++j) {
	    ff[i__ + j * 1201] -= solv_1.dx[i__] * ff[i__ - 1 + j * 1201];
/* L230: */
	}
    }
    for (j = 0; j <= 600; ++j) {
	ts[j * 1201 + 1200] = ff[j * 1201 + 1200] / solv_1.bx[1200];
/* L240: */
    }
    for (i__ = 1199; i__ >= 0; --i__) {
	for (j = 0; j <= 600; ++j) {
	    ts[i__ + j * 1201] = (ff[i__ + j * 1201] - solv_1.cx[i__] * ts[
		    i__ + 1 + j * 1201]) / solv_1.bx[i__];
/* L250: */
	}
    }

/* **** y sweep */

    for (i__ = 0; i__ <= 1200; ++i__) {
	im1 = i__ - 1;
	ip1 = i__ + 1;
	if (i__ == 0) {
	    im1 = 1;
	}
	if (i__ == 1200) {
	    ip1 = 1199;
	}
	for (j = 0; j <= 600; ++j) {
	    ff[i__ + j * 1201] = uu[i__ + j * 1201] + teqn_1.rx * ts[ip1 + j *
		     1201] + teqn_1.sx * ts[i__ + j * 1201] + teqn_1.rx * ts[
		    im1 + j * 1201];
/* L270: */
	}
    }
    for (j = 1; j <= 600; ++j) {
	for (i__ = 0; i__ <= 1200; ++i__) {
	    ff[i__ + j * 1201] -= solv_1.dy[j] * ff[i__ + (j - 1) * 1201];
/* L280: */
	}
    }
    for (i__ = 0; i__ <= 1200; ++i__) {
	soln_1.t[i__ + 720600] = ff[i__ + 720600] / solv_1.by[600];
/* L290: */
    }
    for (j = 599; j >= 0; --j) {
	for (i__ = 0; i__ <= 1200; ++i__) {
	    soln_1.t[i__ + j * 1201] = (ff[i__ + j * 1201] - solv_1.cy[j] * 
		    soln_1.t[i__ + (j + 1) * 1201]) / solv_1.by[j];
/* L300: */
	}
    }

    return 0;
} /* update_ */

/****************************************************************************
*/

/*     subroutine to print the data at specific time levels: */

/****************************************************************************
*/
/* Subroutine */ int print_(iskp, jskp)
integer *iskp, *jskp;
{
    /* Initialized data */

    static integer iw = 6;

    /* Format strings */
    static char fmt_101[] = "(/1x,\002phase-field values:\002/)";
    static char fmt_103[] = "(1x,\002time = \002,1pe11.4/,1x,\002j\002,11(8x\
,i3))";
    static char fmt_105[] = "(1x,i3,2x,11(1x,e10.3))";
    static char fmt_107[] = "(/1x,\002temperature values:\002/)";

    /* System generated locals */
    integer i__1, i__2;

    /* Builtin functions */
    integer s_wsfe(), e_wsfe(), do_fio();

    /* Local variables */
    static integer i__, j;

    /* Fortran I/O blocks */
    static cilist io___84 = { 0, 0, 0, fmt_101, 0 };
    static cilist io___85 = { 0, 0, 0, fmt_103, 0 };
    static cilist io___88 = { 0, 0, 0, fmt_105, 0 };
    static cilist io___89 = { 0, 0, 0, fmt_107, 0 };
    static cilist io___90 = { 0, 0, 0, fmt_103, 0 };
    static cilist io___91 = { 0, 0, 0, fmt_105, 0 };


/*      parameter(nx=80, ny=40) */


    io___84.ciunit = iw;
    s_wsfe(&io___84);
    e_wsfe();
    io___85.ciunit = iw;
    s_wsfe(&io___85);
    do_fio(&c__1, (char *)&soln_1.time, (ftnlen)sizeof(doublereal));
    i__1 = *iskp;
    for (i__ = 0; i__1 < 0 ? i__ >= 1200 : i__ <= 1200; i__ += i__1) {
	do_fio(&c__1, (char *)&i__, (ftnlen)sizeof(integer));
    }
    e_wsfe();
    i__1 = *jskp;
    for (j = 0; i__1 < 0 ? j >= 600 : j <= 600; j += i__1) {
	io___88.ciunit = iw;
	s_wsfe(&io___88);
	do_fio(&c__1, (char *)&j, (ftnlen)sizeof(integer));
	i__2 = *iskp;
	for (i__ = 0; i__2 < 0 ? i__ >= 1200 : i__ <= 1200; i__ += i__2) {
	    do_fio(&c__1, (char *)&soln_1.p[i__ + j * 1201], (ftnlen)sizeof(
		    doublereal));
	}
	e_wsfe();
/* L25: */
    }

    io___89.ciunit = iw;
    s_wsfe(&io___89);
    e_wsfe();
    io___90.ciunit = iw;
    s_wsfe(&io___90);
    do_fio(&c__1, (char *)&soln_1.time, (ftnlen)sizeof(doublereal));
    i__1 = *iskp;
    for (i__ = 0; i__1 < 0 ? i__ >= 1200 : i__ <= 1200; i__ += i__1) {
	do_fio(&c__1, (char *)&i__, (ftnlen)sizeof(integer));
    }
    e_wsfe();
    i__1 = *jskp;
    for (j = 0; i__1 < 0 ? j >= 600 : j <= 600; j += i__1) {
	io___91.ciunit = iw;
	s_wsfe(&io___91);
	do_fio(&c__1, (char *)&j, (ftnlen)sizeof(integer));
	i__2 = *iskp;
	for (i__ = 0; i__2 < 0 ? i__ >= 1200 : i__ <= 1200; i__ += i__2) {
	    do_fio(&c__1, (char *)&soln_1.t[i__ + j * 1201], (ftnlen)sizeof(
		    doublereal));
	}
	e_wsfe();
/* L50: */
    }

    return 0;
} /* print_ */

/****************************************************************************
**/

/* subroutine to determine tip velocity and radius of curvature */

/****************************************************************************
**/
/* Subroutine */ int tip_(p, t, plast, nx, ny, indx, iprt, time, delx, dely)
doublereal *p, *t, *plast;
integer *nx, *ny, *indx, *iprt;
doublereal *time, *delx, *dely;
{
    /* Initialized data */

    static integer ientry = 0;

    /* System generated locals */
    integer p_dim1, t_dim1, i__1;
    doublereal d__1, d__2, d__3;
    olist o__1;

    /* Builtin functions */
    integer f_open(), s_wsfe(), do_fio(), e_wsfe(), s_wsue(), do_uio(), 
	    e_wsue();

    /* Local variables */
    static doublereal dphi, test, tpos, c__;
    static integer i__;
    static doublereal dphil;
    static integer ileft;
    static doublereal dphir, phixl, phixr, cl, cr, tt;
    static integer iright;
    static doublereal phiyyl, phiyyr;

    /* Fortran I/O blocks */
    static cilist io___109 = { 0, 6, 0, "(//1x,' Time = ',1pe13.5)", 0 };
    static cilist io___110 = { 0, 6, 0, "(/1x,' Tip Position = ',1pe13.5/1x,\
                    ' Tip Temperature = '1pe13.5/1x,                        \
        ' Tip Radius = ',3(1pe13.5,1x))//", 0 };
    static cilist io___111 = { 0, 6, 0, "(10(1x,f8.3))", 0 };
    static cilist io___112 = { 0, 6, 0, "(10(1x,f8.3))", 0 };
    static cilist io___113 = { 0, 6, 0, "(10(1x,f8.3))", 0 };
    static cilist io___114 = { 0, 50, 0, 0, 0 };


    /* Parameter adjustments */
    t_dim1 = *nx + 1;
    p_dim1 = *nx + 1;

    /* Function Body */
    ++ientry;
    if (ientry == 1) {
	o__1.oerr = 0;
	o__1.ounit = 50;
	o__1.ofnmlen = 7;
	o__1.ofnm = "tip.dat";
	o__1.orl = 0;
	o__1.osta = "unknown";
	o__1.oacc = 0;
	o__1.ofm = "unformatted";
	o__1.oblnk = 0;
	f_open(&o__1);
    }

/* first search for interval containing the interface at phi = 0.5 */

    i__ = -1;
L10:
    ++i__;
    test = (p[i__] - (float).5) * (p[i__ + 1] - (float).5);
    if (test <= (float)0.) {
	ileft = i__;
	iright = ileft + 1;
	goto L20;
    }
    if (i__ <= *nx - 1) {
	goto L10;
    }
    if (i__ == *nx) {
	return 0;
    }
L20:

/* find difference from each end */

    dphil = p[ileft] - (float).5;
    dphir = (float).5 - p[iright];
    dphi = p[ileft] - p[iright];

/* compute position of phi = 1/2 */

    tpos = *delx * ileft + dphil * *delx / dphi;

/* compute tip temp */

    tt = t[ileft] + dphil * (t[iright] - t[ileft]) / dphi;
/*        write(*,*) ileft,iright,dphil,dphi,dphir */

/* compute interface tip curvature at left and right points */

    phixl = (p[ileft + 1] - p[ileft - 1]) / (*delx * (float)2.);
    phixr = (p[iright + 1] - p[iright - 1]) / (*delx * (float)2.);
/* Computing 2nd power */
    d__1 = *dely;
    phiyyl = (p[ileft + p_dim1] - p[ileft]) * (float)2. / (d__1 * d__1);
    cl = phiyyl / phixl;
/* Computing 2nd power */
    d__1 = *dely;
    phiyyr = (p[iright + p_dim1] - p[iright]) * (float)2. / (d__1 * d__1);
    cr = phiyyr / phixr;

/* compute interpolant of curvature */

    c__ = cl + dphil * (cr - cl) / dphi;


    if (*indx % *iprt == 0) {
	s_wsfe(&io___109);
	do_fio(&c__1, (char *)&(*time), (ftnlen)sizeof(doublereal));
	e_wsfe();
	s_wsfe(&io___110);
	do_fio(&c__1, (char *)&tpos, (ftnlen)sizeof(doublereal));
	do_fio(&c__1, (char *)&tt, (ftnlen)sizeof(doublereal));
	d__1 = (float)1. / cl;
	do_fio(&c__1, (char *)&d__1, (ftnlen)sizeof(doublereal));
	d__2 = (float)1. / c__;
	do_fio(&c__1, (char *)&d__2, (ftnlen)sizeof(doublereal));
	d__3 = (float)1. / cr;
	do_fio(&c__1, (char *)&d__3, (ftnlen)sizeof(doublereal));
	e_wsfe();

/* write out phase field and temp trhu tip */

	s_wsfe(&io___111);
	i__1 = iright + 4;
	for (i__ = ileft - 4; i__ <= i__1; ++i__) {
	    d__1 = i__ * *delx;
	    do_fio(&c__1, (char *)&d__1, (ftnlen)sizeof(doublereal));
	}
	e_wsfe();
	s_wsfe(&io___112);
	i__1 = iright + 4;
	for (i__ = ileft - 4; i__ <= i__1; ++i__) {
	    do_fio(&c__1, (char *)&p[i__], (ftnlen)sizeof(doublereal));
	}
	e_wsfe();
	s_wsfe(&io___113);
	i__1 = iright + 4;
	for (i__ = ileft - 4; i__ <= i__1; ++i__) {
	    do_fio(&c__1, (char *)&t[i__], (ftnlen)sizeof(doublereal));
	}
	e_wsfe();

    }
    s_wsue(&io___114);
    do_uio(&c__1, (char *)&(*time), (ftnlen)sizeof(doublereal));
    do_uio(&c__1, (char *)&tpos, (ftnlen)sizeof(doublereal));
    d__1 = 1 / c__;
    do_uio(&c__1, (char *)&d__1, (ftnlen)sizeof(doublereal));
    do_uio(&c__1, (char *)&tt, (ftnlen)sizeof(doublereal));
    e_wsue();

    return 0;
} /* tip_ */

